pdfimages(1)

NAME
pdfimages - Portable Document Format (PDF) image extractor (version 3.03)

SYNOPSIS
pdfimages [options] PDF-file image-root

DESCRIPTION
Pdfimages saves images from a Portable Document Format (PDF) file as Portable Pixmap (PPM), Portable Bitmap (PBM), or JPEG files.

Pdfimages reads the PDF file PDF-file, scans one or more pages, and writes one PPM, PBM, or JPEG file for each image, image-root-nnn.xxx, where nnn is the image number and xxx is the image type (.ppm, .pbm, .jpg).

OPTIONS

-f number
    Specifies the first page to scan.

-l number
    Specifies the last page to scan.

-j  Normally, all images are written as PBM (for monochrome images) or PPM (for non-monochrome images) files. With this option, images in DCT format are saved as JPEG files. All non-DCT images are saved in PBM/PPM format as usual.

-list
    Instead of writing the images, list the images along with various information for each image. Do not specify an image-root with this option.

    The following information is listed for each font:

    page
        the page number containing the image

    num the image number

    type
        the image type:

        image - an opaque image
        mask - a monochrome mask image
        smask - a soft-mask image
        stencil - a monochrome mask image used for painting a color or pattern

    Note: Tranparency in images is represented in PDF using a separate image for the image and the mask/smask. The mask/smask used as part of a transparent image always immediately follows the image in the image list.

    width
        image width (in pixels)

    height
        image height (in pixels)

    Note: the image width/height is the size of the embedded image, not the size the image will be rendered at.

    color
        image color space:

        gray - Gray
        rgb - RGB
        cmyk - CMYK
        lab - L*a*b
        icc - ICC Based
        index - Indexed Color
        sep - Separation
        devn - DeviceN

    comp
        number of color components

    bpc bits per component

    enc encoding:

        image - raster image (may be Flate or LZW compressed but does not use an image encoding)
        jpeg - Joint Photographic Experts Group
        jp2 - JPEG2000
        jbig2 - Joint Bi-Level Image Experts Group
        ccitt - CCITT Group 3 or Group 4 Fax

    interp
        "yes" if the interpolation is to be performed when scaling up the image

    object ID
        the font dictionary object ID (number and generation)

-opw password
    Specify the owner password for the PDF file. Providing this will bypass all security restrictions.

-upw password
    Specify the user password for the PDF file.

-p  Include page numbers in output file names.

-q  Don't print any messages or errors.

-v  Print copyright and version information.

-h  Print usage information. (-help and --help are equivalent.)

EXIT CODES
The Xpdf tools use the following exit codes:

0   No error.

1   Error opening a PDF file.

2   Error opening an output file.

3   Error related to PDF permissions.

99  Other error.

AUTHOR
The pdfimages software and documentation are copyright 1998-2011 Glyph & Cog, LLC.

SEE ALSO
pdfdetach(1) pdffonts(1), pdfinfo(1), pdftocairo(1), pdftohtml(1), pdftoppm(1), pdftops(1), pdftotext(1)